# si4onnx

[![PyPI version](https://badge.fury.io/py/si4onnx.svg)](https://badge.fury.io/py/si4onnx)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

si4onnx is a Python package that facilitates statistical validation of Region of Interest (ROI) generated by deep learning models. The package provides a selective inference framework to quantify the statistical reliability of generated ROIs through rigorous p-value computation.
The computed p-values maintain statistical validity and enable precise control of the Type I error rate at any desired significance level. This package provides comprehensive support for deep learning models, including those developed in PyTorch and TensorFlow, through conversion to the ONNX (Open Neural Network Exchange) format.

## Requirements
Python version:
- Python 3.6 or later

Required packages:
- numpy 1.26.4 or later
- torch 2.2.0 or later
- onnx 1.16.0 or later
- sicore 2.3.0 or later

## Installation
This package can be installed using pip:
```bash
$ pip install si4onnx
```

## Usage
We provide several Jupyter notebooks demonstrating how to use the si4onnx package in our [examples directory](https://github.com/Takeuchi-Lab-SI-Group/si4onnx/blob/main/examples).